OSGMLNORM(1)

NOM
osgmlnorm - Un normalisateur de documents SGML/XML

SYNOPSIS

osgmlnorm [-CdeghmnrRvx] [-atype_lien] [-Aarchitecture] [-bbctf] [-ccatalogue] [-Drépertoire...] [-Eerreurs_max...] [-inom...] [-fnom...] [-wtype_avertissement...] [sysid...]

DESCRIPTION

osgmlnorm affiche sur la sortie standard une instance de document normalisée pour le document SGML contenu dans la concaténation des entités ayant comme identificateurs système

Quand l'instance normalisée est préfixée avec la déclaration SGML et le prologue originaux, elle aura le même ESIS (Ndt : Element Structure Information Set) que le document SGML original, avec les exceptions suivantes :

* La sortie de osgmlnorm ne protège pas contre la reconnaissance des délimiteurs d'appels abrégés, aussi toute déclaration « USEMAP » doit être retirée de la DTD.

* L'instance normalisée utilisera les délimiteurs de référence, même si l'instance originale ne le faisait pas.

* Si des sections marquées sont incluses dans la sortie en utilisant l'option -m, les noms réservés de référence seront utilisés comme mots clés de statut même si l'instance originale ne le faisait pas.

* Toute information ESIS relative à la fonctionnalité SGML « LINK » sera perdue.

L'instance normalisée n'utilisera aucune fonctionnalité de minimisation de balisage excepté que :

* Tous les attributs qui n'étaient pas spécifiés dans l'instance originale ne seront pas inclus dans l'instance normalisée. (Les attributs courants seront inclus.)

* Si la valeur déclarée d'un attribut était un groupe d'unités lexicales nominales, et qu'une valeur était spécifiée comme étant la même que le nom de l'attribut, le nom de l'attribut et l'indicateur de valeur seraient omis. Par exemple, avec HTML osgmlnorm produirait en sortie <DL COMPACT> plutôt que <DL COMPACT="COMPACT">

Partie d'un système SGML conforme à la norme internationale ISO 8879 -- Standard Generalized Markup Language (Langage de balisage généralisé normalisé) Un système SGML étendu conforme à l'annexe A de la norme internationale ISO/IEC 10744 -- Hypermedia/Time-based Structuring Language (Langage de structuration hypermédia/événementiel)

Les options suivantes sont disponibles :

-anom, --activate=nom
    Active le type de document ou de lien nom.

-Aarchitecture, --architecture=architecture
    Analyse par rapport à l'architecture architecture.

-bbctf, --bctf=bctf
    Utilise le BCTF (Ndt : Bit Combinaison Transformation Format) nommé bctf pour produire la sortie.

-csysid, --catalog=sysid
    Met en correspondance les identificateurs publics et les noms d'entités avec les identificateurs système en utilisant le fichier d'entrées de catalogue dont l'identificateur système est sysid.

-C, --catalogs
    Elle a le même effet qu'avec onsgmls(1).

-d, --dtd
    Produit en sortie une déclaration de type de document avec le même identificateur externe que le document d'entrée, et avec aucun sous-ensemble de déclaration interne. Aucune vérification n'est opérée pour s'assurer que l'instance document est valide par rapport à cette DTD.

-Drépertoire, --directory=répertoire
    Recherche dans répertoire les fichiers spécifiés dans les identificateurs système. Elle a le même effet qu'avec onsgmls(1).

-e, --open-entities
    Décrit les entités ouvertes dans les messages d'erreur.

--error-numbers
    Affiche les numéros d'erreur dans les messages d'erreur.

-h, --help
    Affiche un texte d'aide et quitte.

-inom, --include=nom
    Elle a le même effet qu'avec onsgmls(1).

-m, --marked-sections
    Produit en sortie toutes les sections marquées qui se trouvent dans l'instance de document d'entrée.

-n, --comments
    Produit en sortie tous les commentaires qui se trouvent dans l'instance de document d'entrée.

-r, --raw
    Sortie brute. N'opère aucune conversion sur les « RSs » (Ndt : Record Start) et les « REs » (Ndt : Record End) lors de l'affichage de l'entité. L'entité devrait typiquement avoir l'attribut de gestionnaire de stockage « records=asis ».

-R, --restricted
    Elle a le même effet qu'avec onsgmls(1).

-v, --version
    Affiche le numéro de version.

-wtype
    Contrôle les avertissements et les erreurs en fonction de « type ». Elle a le même effet qu'avec onsgmls(1).

VOIR AUSSI
onsgmls(1), ospam(1), ospent(1), osx(1)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> et Jean-Marc Destabeaux <jmdestabeaux AT free DOT fr> le 16 juin 2004 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 osgmlnorm ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.